> ## Name

> cgGLDisableTextureParameter - disables the texture unit associated with a texture parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLDisableTextureParameter( CGparameter param );

> ## Parameters

> param
>   The texture parameter which will be disabled.

> ## Return Values

> None.

> ## Description

> cgGLDisableTextureParameter unbinds and disables the texture object associated param.

> See cgGLEnableTextureParameter for more information.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAMETER_ERROR is generated if param is not a texture parameter or if the parameter fails to set for any other reason.

> ## History

> cgGLDisableTextureParameter was introduced in Cg 1.1.

> ## See Also

> cgGLEnableTextureParameter, cgGLSetTextureParameter